# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'perfume/version'

Gem::Specification.new do |spec|
  spec.name = "perfume"
  spec.version = Perfume::VERSION
  spec.authors = ["jobandtalent", "Kris Kovalik"]
  spec.email = ["kris.kovalik@jobandtalent.com", "hi@kkvlk.me"]

  spec.summary = %q{Tooling for writing (micro)services in Ruby.}
  spec.description = %q{Bunch of tools and utilities for common day-to-day tasks while working with microservices.!}
  spec.homepage = "https://github.com/jobandtalent/perfume"
  spec.license = 'Apache-2.0'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.8"
  spec.add_development_dependency "minitest-reporters", "~> 1.1"
  spec.add_development_dependency "mocha", "~> 1.1"
  spec.add_development_dependency "log4r", "~> 1.1", ">= 1.0"
  spec.add_development_dependency "rake-bump", "~> 0.4", ">= 0.4.6"

  spec.add_dependency "activesupport", "~> 4.2", ">= 3.0"
end
